# Target

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | The name of the target. This attribute's properties will not be automatically expanded! | True
depends | string | Space separated list of targets that this target depends on. | False
description | string | The description of the target. | False
if | string | If true then the target will be executed; otherwise, skipped. The default is true. This attribute's properties will not be automatically expanded! | False
unless | string | Opposite of `IfDefined`. If false then the target will be executed; otherwise, skipped. The default is false. This attribute's properties will not be automatically expanded! | False

### Requirements

Assembly: NAnt.Core (0.92.4543.0)